runc <1.2.0-rc.1 systemd属性注入漏洞

来源: 投稿
2024-04-28 18:00:00

漏洞描述

CRI-O 是一款开源的、用于Kubernetes系统的轻量级容器运行时环境,runc 是 CRI-O 中用于创建和运行容器的工具。

runc 受影响版本中由于未对 Pod 注解有效过滤,具有创建Pod注解攻击者可将恶意的 systemd 属性(如:ExecStartPre、ExecStart、ExecReload等)注入注解中,进而在宿主系统中执行任意操作。

补丁版本通过配置黑名单 PotentiallyUnsafeConfigAnnotations 修复此漏洞。

漏洞名称 runc <1.2.0-rc.1 systemd属性注入漏洞
漏洞类型 命令注入
发现时间 2024-04-27
漏洞影响广度 一般
MPS编号 MPS-617x-mejs
CVE编号 CVE-2024-3154
CNVD编号 -

影响范围

github.com/opencontainers/runc/libcontainer@[0.0.1, 1.2.0-rc.1)

修复方案

将组件 github.com/opencontainers/runc/libcontainer 升级至 1.2.0-rc.1 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-617x-mejs

https://github.com/advisories/GHSA-c5pj-mqfh-rvc3

https://github.com/opencontainers/runc/commit/3db0871f1cf25c7025861ba0d51d25794cb21623

https://github.com/opencontainers/runtime-spec/blob/main/features.md#unsafe-annotations-in-configjson

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部